This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478783 - Obey renewable life from the ticket
Obey renewable life from the ticket
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 19:25 EST by Bojan Smojver
Modified: 2009-04-27 21:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 21:29:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use authtime instead or starttime to determine renewable life (673 bytes, patch)
2009-01-04 19:25 EST, Bojan Smojver
no flags Details | Diff
Patch against 0.8 source (651 bytes, patch)
2009-01-13 19:33 EST, Bojan Smojver
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 567698 None None None Never

  None (edit)
Description Bojan Smojver 2009-01-04 19:25:11 EST
Created attachment 328164 [details]
Use authtime instead or starttime to determine renewable life

Description of problem:
krb5-auth-dialog resets renewable life of the ticket, where it should keep it the same as on the old ticket, which is what user/admin desired.

Version-Release number of selected component (if applicable):
0.7-7.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Wait until krb5-auth-dialog does ticket renewal of an expired ticket.
  
Actual results:
Ticket gets renewable life from new ticket lifetime.

Expected results:
Ticket should keep renewable life from the old ticket.

Additional info:
Patch attached. Tested and appears to work fine.
Comment 1 Bojan Smojver 2009-01-13 19:33:16 EST
Created attachment 328934 [details]
Patch against 0.8 source
Comment 2 Bojan Smojver 2009-01-13 19:45:40 EST
Comment on attachment 328934 [details]
Patch against 0.8 source

This patch has been compiled and linked, but not tested.
Comment 3 Bojan Smojver 2009-01-13 20:42:47 EST
I've been running the patch against 0.7 on my F-10 systems for many days now without any problems.
Comment 4 Bojan Smojver 2009-01-13 22:46:02 EST
This has been tested with 0.8 on F-10.
Comment 5 Fedora Admin XMLRPC Client 2009-02-09 13:45:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bojan Smojver 2009-04-27 21:29:54 EDT
Upstream code not affected by this any more.

Note You need to log in before you can comment on or make changes to this bug.